Package tigase.workgroupqueues.scheduler

# Enum Class Queue.Status

java.lang.Object
java.lang.Enum<Queue.Status>
tigase.workgroupqueues.scheduler.Queue.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Queue.Status>`, `Constable`

Enclosing class:
  Queue

public static enum Queue.Status extends Enum<Queue.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `active`
  The queue is active but NOT accepting new chat requests.
  `closed`
  The queue is NOT active and NOT accepting new chat requests.
  `open`
  The queue is active and accepting new chat requests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Queue.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Queue.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### open

    public static final Queue.Status open
    The queue is active and accepting new chat requests.

  - ### active

    public static final Queue.Status active
    The queue is active but NOT accepting new chat requests.

  - ### closed

    public static final Queue.Status closed
    The queue is NOT active and NOT accepting new chat requests.

- ## Method Details

  - ### values

    public static Queue.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Queue.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null